%define _requires_exceptions pear(Cache/Lite/Lite.php)

%define		_class		Cache
%define		_subclass	Lite
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - Fast and Safe little cache system
Name:		php-pear-%{_pearname}
Version:	1.7.4
Release:	%mkrel 1
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Cache_Lite/
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
Source1:	Hashed_Cache_Lite.php.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	dos2unix
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package is a little cache system optimized for file containers.
It is fast and safe (because it uses file locking and/or
anti-corruption tests).

In PEAR status of this package is: %{_status}.

%prep

%setup -q -c

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix -U

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}

install %{_pearname}-%{version}/*.php %{buildroot}%{_datadir}/pear/%{_class}
install %{_pearname}-%{version}/%{_subclass}/*.php %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}
bzcat %{SOURCE1} > %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}/Hashed_Cache_Lite.php

install -d %{buildroot}%{_datadir}/pear/packages
install -m0644 package.xml %{buildroot}%{_datadir}/pear/packages/%{_pearname}.xml

%post
if [ "$1" = "1" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear install --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi
if [ "$1" = "2" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear upgrade -f --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi

%preun
if [ "$1" = 0 ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear uninstall --nodeps -r %{_pearname}
	fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/{tests,docs/*,TODO}
%dir %{_datadir}/pear/%{_class}/%{_subclass}
%{_datadir}/pear/%{_class}/*.php
%{_datadir}/pear/%{_class}/%{_subclass}/*.php
%{_datadir}/pear/packages/%{_pearname}.xml


%changelog
* Sat Aug 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.7.4-1mdv2009.0
+ Revision: 272581
- 1.7.4

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.7.2-4mdv2009.0
+ Revision: 224687
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.7.2-3mdv2008.1
+ Revision: 178500
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.7.2-2mdv2008.0
+ Revision: 64201
- rebuild

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.7.2-1mdv2008.0
+ Revision: 15533
- 1.7.2


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.7.1-1mdv2007.0
+ Revision: 81072
- Import php-pear-Cache_Lite

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1.7.1-1mdk
- 1.7.1

* Sat Apr 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-1mdk
- 1.7.0

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.6.0-1mdk
- 1.6.0
- added the Hashed_Cache_Lite.php class from phpgacl-3.3.6

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.2-4mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.2-3mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.2-2mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.2-1mdk
- 1.5.2

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-1mdk
- initial Mandriva package (PLD import)

